<template>
  <v-snackbar
    :timeout="snackbar.timeout"
    :color="snackbar.color"
    :top="snackbar.y === 'top'"
    :bottom="snackbar.y === 'bottom'"
    :right="snackbar.x === 'right'"
    :left="snackbar.x === 'left'"
    v-model="snackbar.visibility"
  >
  {{ snackbar.text }}
  <v-btn flat color="white" @click.native="snackbar.visibility = false">Close</v-btn>
  </v-snackbar>
</template>

<script>
import { mapState, mapActions } from 'vuex'

export default {
  name: 'Logger',
  mounted () {
    this.showLogs()
  },
  computed: {
    ...mapState('logger/snackbar', {
      snackbar: state => state.options
    })
  },
  methods: {
    ...mapActions('logger', [
      'showLogs'
    ])
  }
}
</script>

<style>

</style>
